import { Resource, Variant } from 'godot'
import Item from '../item/item'
import { export_, export_object } from 'godot.annotations'

export default class ItemState extends Resource {
  @export_object(Item)
  item?: Item

  @export_(Variant.Type.TYPE_INT)
  quantity?: number
}

