import { Resource, Variant, Vector3 } from 'godot'
import SaveState from './save_state'
import ItemState from './item_state'
import { export_, export_array } from 'godot.annotations'

export default class PlayerState extends Resource implements SaveState {
  @export_(Variant.Type.TYPE_VECTOR3)
  position!: Vector3

  @export_(Variant.Type.TYPE_FLOAT)
  condition!: number

  //@export_array(ItemState)
  //inventory: ItemState[] = []

  @export_(Variant.Type.TYPE_STRING_NAME)
  scene!: string
}

